import { ElementRef, AfterContentInit } from '@angular/core';
import { MatFormField } from '@angular/material';
import { NgControl } from '@angular/forms';
import { DatePipe } from '@angular/common';
import { InternationalizationBase } from '../../internationalization/bases/internationalization-base';
import { DatepickerComponent } from '../datepicker-component/datepicker.component';
export declare class DatepickerInputDirective implements AfterContentInit {
    control: NgControl;
    private _elementRef;
    private _datepipe;
    private _internationalizationBase;
    private _formField;
    penDatepicker: DatepickerComponent;
    private _dateFormatString;
    private _datepicker;
    constructor(control: NgControl, _elementRef: ElementRef, _datepipe: DatePipe, _internationalizationBase: InternationalizationBase, _formField: MatFormField);
    onClick(event: any): void;
    onValuesChanged(newValue: Date): void;
    ngAfterContentInit(): void;
    getConnectedOverlayOrigin(): ElementRef;
    changeInputValue(newDate: Date): void;
    private _registerDatepicker;
    private _updateDateFormat;
}
